| CE Gobi SDK 2.7 GobiApi

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Attributes | List of all members
callInfo Struct Reference

`#include <GobiVoiceMgmtAPI.h>`

## Public Attributes
BYTE | callID
BYTE | callState
BYTE | callType
BYTE | direction
BYTE | mode

## Detailed Description

This structure contains Information about call state changes. For example, when an incoming call is received, this structure is populated and indicate the incoming call information. When this incoming call is answered, the call status changes from INCOMING to CONVERSATION, which means a change in the call information and this structure is populated again with the changes and notified to/retrived by the user.

Parameters

  callID | Call identifier for the call queried for information. If zero(0) then invalid.
  callState | Call state. 0x01 - CALL_STATE_ORIGINATION - Origination 0x02 - CALL_STATE_INCOMING - Incoming 0x03 - CALL_STATE_CONVERSATION - Conversation 0x04 - CALL_STATE_CC_IN_PROGRESS - Call is originating but waiting for call control to complete 0x05 - CALL_STATE_ALERTING - Alerting 0x06 - CALL_STATE_HOLD - Hold 0x07 - CALL_STATE_WAITING - Waiting 0x08 - CALL_STATE_DISCONNECTING - Disconnecting 0x09 - CALL_STATE_END - End 0x0A - CALL_STATE_SETUP - MT call is in Setup state in 3GPP 0xFF - Not Available
  callType | Call type. 0x00 - CALL_TYPE_VOICE - Voice 0x02 - CALL_TYPE_VOICE_IP - Voice over IP 0x06 - CALL_TYPE_OTAPA - OTAPA 0x07 - CALL_TYPE_STD_OTASP - Standard OTASP 0x08 - CALL_TYPE_NON_STD_OTASP - Nonstandard OTASP 0x09 - CALL_TYPE_EMERGENCY - Emergency 0xFF - Not Available
  direction | Direction. 0x01 - CALL_DIRECTION_MO - MO call 0x02 - CALL_DIRECTION_MT - MT call 0xFF - Not Available
  mode | Mode. If the mode field is "0x01 - CDMA",the optional Service Option, Voice Privacy, and OTASP Status (only for OTASP calls) TLVs are included in the response. 0x01 - CALL_MODE_CDMA - CDMA 0x02 - CALL_MODE_GSM - GSM 0x03 - CALL_MODE_UMTS - UMTS 0x04 - CALL_MODE_LTE - LTE 0x05 - CALL_MODE_TDS - TD-SCDMA 0xFF - Not Available

The documentation for this struct was generated from the following file:

- GobiVoiceMgmtAPI.h